@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  scroll-behavior: smooth;
}

/* Navigation bar  */
header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 40px 100px;
  z-index: 1000;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: 0.3s;
}
header.sticky {
  background: #fff;
  padding: 20px 100px;
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
}
header .logo {
  color: #fff;
  font-size: 24px;
  text-transform: uppercase;
  text-decoration: none;
  font-weight: 700;
  letter-spacing: 2px;
}
header.sticky .logo {
  color: #111;
}
header ul {
  position: relative;
  display: flex;
}
header ul li {
  position: relative;
  list-style: none;
}
header ul li a {
  position: relative;
  display: inline-block;
  margin: 0 15px;
  color: #fff;
  text-decoration: none;
}
header.sticky ul li a {
  color: #111;
}

section {
  padding: 100px;
}

/* banner  */
.banner {
  position: relative;
  min-height: 100vh;
  background: url(./img/banner.jpg);
  background-size: cover;
  background-position: right;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.banner h2 {
  font-size: 3em;
  color: #fff;
  font-weight: 500;
  line-height: 1.5em;
}
.banner h2 span {
  font-size: 1.5em;
  font-weight: 700;
}
.banner h3 {
  font-size: 1.5em;
  color: #fff;
  font-weight: 500;
}
.btn {
  position: relative;
  background: #2196f3;
  display: inline-block;
  color: #fff;
  margin-top: 20px;
  padding: 10px 30px;
  font-size: 18px;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 2px;
  font-weight: 500;
}

/* about  section*/
.heading {
  width: 100%;
  text-align: center;
  margin-bottom: 30px;
  color: #111;
}
.heading h2 {
  font-weight: 600;
  font-size: 30px;
}
.content {
  display: flex;
  justify-content: space-between;
}
.contentBx {
  padding-right: 30px;
}
.contentBx h3 {
  font-size: 24px;
  margin-bottom: 10px;
}
.w50 {
  min-width: 50%;
}
img {
  max-width: 100%;
}

/* services section  */
.services {
  background: #111;
}
.heading.white {
  color: #fff;
}
.services .content {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  flex-direction: row;
}
.services .content .serviceBx {
  padding: 40px 20px;
  background: #222;
  color: #fff;
  max-width: 340px;
  margin: 20px;
  text-align: center;
  transition: 0.5s;
}
.services .content .serviceBx:hover {
  background: #2196f3;
}
.services .content .serviceBx img {
  max-width: 80px;
  filter: invert(1);
}
.services .content .serviceBx h2 {
  font-size: 20px;
  font-weight: 600;
}
/* works  */
.work .content {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.work .content .workBx {
  width: 50%;
  padding: 20px;
}
.work .content .workBx img {
  max-width: 100%;
}
/* testimonial  */
.testimonial {
  background: #f7f7f7;
}
.testimonial .content {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.testimonial .content .testimonialBx {
  max-width: calc(50% - 40px);
  padding: 60px 40px;
  margin: 20px;
  background: #2196f3;
}
.testimonial .content .testimonialBx p {
  color: #fff;
  font-style: italic;
  font-size: 16px;
  font-weight: 300;
}
.testimonial .content .testimonialBx h3 {
  margin-top: 40px;
  text-align: end;
  color: #fff;
  font-weight: 600;
  font-size: 20px;
  line-height: 1em;
}
.testimonial .content .testimonialBx h3 span {
  font-size: 14px;
  font-weight: 400;
}
/* contact  */
.contact {
  background: #111;
}
.formBx {
  min-width: 60%;
}
.formBx form {
  display: flex;
  flex-direction: column;
}
.formBx form h3,
.contactInfo h3 {
  color: #fff;
  font-size: 20px;
  font-weight: 500;
  margin-bottom: 10px;
}
.formBx form input,
.formBx form textarea {
  margin-bottom: 20px;
  padding: 15px;
  font-size: 16px;
  border: none;
  outline: none;
  background: #222;
  color: #fff;
  resize: none;
}
.formBx form textarea {
  min-height: 200px;
}
.formBx form input::placeholder,
.formBx form textarea::placeholder {
  color: #999;
}
.formBx form input[type="submit"] {
  max-width: 100px;
  background: #2196f3;
  cursor: pointer;
  text-transform: uppercase;
  letter-spacing: 2px;
}
.contactInfo {
  min-width: 40%;
}
.contactInfoBx {
  position: relative;
}
.contactInfoBx .box {
  position: relative;
  padding: 20px 0;
  display: flex;
}
.contactInfoBx .box .icon {
  min-width: 40px;
  padding-top: 4px;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  font-size: 24px;
}
.contactInfoBx .box .text {
  display: flex;
  margin-left: 20px;
  font-size: 16px;
  color: #fff;
  flex-direction: column;
  font-weight: 300;
}
.contactInfoBx .box .text h3 {
  font-weight: 500;
  color: #2196f3;
  margin-bottom: 0;
}
.copyright {
  background: #000;
  color: #fff;
  text-align: center;
  padding: 20px;
  word-spacing: 2px;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
}

/* RESPONSIVE STYLE  */
@media (max-width: 991px) {
  header,
  header.sticky {
    padding: 20px 50px;
    z-index: 1000;
  }
  .menu {
    position: fixed;
    top: 70px;
    left: -100%;
    display: block;
    padding: 100px 50px;
    text-align: center;
    width: 100%;
    height: 100vh;
    background: #fff;
    transition: 0.5s;
    z-index: 999;
    border-top: 1px solid rgba(0, 0, 0, 0.2);
  }
  .menu.active {
    left: 0;
  }
  header ul li a {
    color: #111;
    font-size: 24px;
    margin: 10px;
  }
  .toggle {
    width: 40px;
    height: 40px;
    background: url(./img/menu.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 30px;
    cursor: pointer;
  }
  .toggle.active {
    background: url(./img/close.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 25px;
    cursor: pointer;
  }
  header.sticky .toggle {
    filter: invert(1);
  }
  section {
    padding: 50px 30px;
  }
  .banner {
    padding: 150px 50px 100px;
  }
  .banner h2 {
    font-size: 1.5em;
  }
  .banner h3 {
    font-size: 1em;
  }
  .btn {
    margin-top: 10px;
    padding: 10px 20px;
    font-size: 16px;
  }
  .heading h2 {
    font-size: 24px;
  }
  .contentBx h3 {
    font-size: 20px;
  }
  .content {
    flex-direction: column;
  }
  .w50 {
    margin-bottom: 20px;
  }
  .services .content .serviceBx {
    margin: 10px;
  }
  .work .content .workBx {
    width: 100%;
    padding: 10px;
  }
  .testimonial .content .testimonialBx {
    max-width: calc(100% - 20px);
    padding: 40px 20px;
    margin: 10px;
    background: #2196f3;
  }
  .testimonial .content .testimonialBx h3 {
    margin-top: 20px;
  }
  .contactInfo {
    margin: 20px 0;
  }
}

@media (max-width: 600px) {
  header,
  header.sticky {
    padding: 20px 20px;
  }
  .banner {
    padding: 150px 20px 100px;
  }
}
